Bug 305741 - Review Request: fedora-icon-theme - Fedora icon theme
Summary: Review Request: fedora-icon-theme - Fedora icon theme
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ArtworkSplit
TreeView+ depends on / blocked
 
Reported: 2007-09-25 17:45 UTC by Ray Strode [halfline]
Modified: 2014-03-17 03:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 15:58:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Ray Strode [halfline] 2007-09-25 17:45:17 UTC
Spec URL:
http://rstrode.fedorapeople.org/fedora-icon-theme/checkout/fedora-icon-theme.spec

SRPM URL:
http://rstrode.fedorapeople.org/fedora-icon-theme/checkout/fedora-icon-theme-1.0.0-1.fc8.src.rpm

Description:
This package contains the Fedora icon theme.

Comment 1 Bill Nottingham 2007-09-25 20:55:11 UTC
MUST items:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - ***

Should be GPL+. Of course, not much copyrightable here.

 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - BuildRequires correct - ***

Needs perl(XML::Parser)

 - Spec handles locales/find_lang - OK
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot - OK
 - Package is code or permissible content. - OK
 - Packages %doc files don't affect runtime. - OK
 - Package compiles and builds on at least one arch - tested x86_64
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - ***

fedora-icon-theme.noarch: E: zero-length /usr/share/doc/fedora-icon-theme-1.0.0/NEWS
fedora-icon-theme.noarch: E: zero-length
/usr/share/doc/fedora-icon-theme-1.0.0/ChangeLog
fedora-icon-theme.noarch: E: zero-length
/usr/share/doc/fedora-icon-theme-1.0.0/README

Can be removed.

fedora-icon-theme.noarch: W: invalid-license GPL

See above.

 - final provides and requires are sane:
 
I don't see any reason why this requires system-logos. What it probably
should require is mist-icon-theme or gnome-icon-theme, as that's what it
inherits from.

Should probably provide system-icon-theme, as well.

SHOULD Items:

 - Should build in mock. - See above about buildreqs
 - Should function as described. - didn't test
 - Should have sane scriptlets. - OK
 - Should have dist tag - OK



Comment 2 Ray Strode [halfline] 2007-09-25 21:06:11 UTC
should be fixed up now

Comment 3 Bill Nottingham 2007-09-25 21:21:06 UTC
Still would like Provides: system-icon-theme

Comment 4 Ray Strode [halfline] 2007-09-25 21:30:02 UTC
woops, sorry, doing too many things at once, should be good to go now.

Comment 5 Bill Nottingham 2007-09-25 21:33:58 UTC
Looks good. Approved.

Comment 6 Ray Strode [halfline] 2007-10-09 16:09:02 UTC
New Package CVS Request
=======================
Package Name: fedora-icon-theme
Short Description: fedora icon theme
Owners: rstrode,davidz
Branches:
InitialCC:
Cvsextras Commits: no

Comment 7 Bill Nottingham 2007-10-09 21:34:48 UTC
done


Note You need to log in before you can comment on or make changes to this bug.